﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DPM_constraint.sql **/
 EXEC P_ALTERPK 'PK_DPM_ITEMPRICE_BRANCH', 'T_DPM_ITEMPRICE_BRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_ITEMPRICEBRANCH_FID') CREATE INDEX IDX_DPM_ITEMPRICEBRANCH_FID ON T_DPM_ITEMPRICE_BRANCH ( FID );


 EXEC P_ALTERPK 'PK_DPM_ITEMPRICE_BRANGE', 'T_DPM_ITEMPRICE_BRANGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_ITEMPRICE_BR_ID') CREATE INDEX IDX_DPM_ITEMPRICE_BR_ID ON T_DPM_ITEMPRICE_BRANGE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_DPM_ITEMPRICE_DETAIL', 'T_DPM_ITEMPRICE_DETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_IPRICE_DL_FID') CREATE INDEX IDX_DPM_IPRICE_DL_FID ON T_DPM_ITEMPRICE_DETAIL ( FID );


 EXEC P_ALTERPK 'PK_DPM_ITEMPRICE_DETAIL_R', 'T_DPM_ITEMPRICE_DETAIL_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_ITEMPRICE_DR_FID') CREATE INDEX IDX_DPM_ITEMPRICE_DR_FID ON T_DPM_ITEMPRICE_DETAIL_R ( FID );


 EXEC P_ALTERPK 'PK_DPM_ITEMPRICE_ORGRANGE', 'T_DPM_ITEMPRICE_ORGRANGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_ITEMPRICE_ORG_FID') CREATE INDEX IDX_DPM_ITEMPRICE_ORG_FID ON T_DPM_ITEMPRICE_ORGRANGE ( FID ,FBASEDATAID );

 EXEC p_AlterPK 'PK_DPM_ITEMPRICE_RECORD', 'T_DPM_ITEMPRICE_RECORD', 'FDETAILID', '1';

 EXEC P_ALTERPK 'PK_DPM_ITEMPRICELIST_Y', 'T_DPM_ITEMPRICELIST_Y', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_ITEMPRICELIST_Y_UP') CREATE INDEX IDX_DPM_ITEMPRICELIST_Y_UP ON T_DPM_ITEMPRICELIST_Y ( FISUSERETAILPRICE );


 EXEC P_ALTERPK 'PK_DPM_RETAILPRICETYPE', 'T_DPM_RETAILPRICETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_RETAILPRICETYPE_PF') CREATE INDEX IDX_DPM_RETAILPRICETYPE_PF ON T_DPM_RETAILPRICETYPE ( FPRICEFIELD );


 EXEC P_ALTERPK 'PK_DPM_RETAILPRICETYPE_L', 'T_DPM_RETAILPRICETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_RETAILPRICETYPE_L_LID') CREATE INDEX IDX_DPM_RETAILPRICETYPE_L_LID ON T_DPM_RETAILPRICETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DPM_ITEMPRICELIST', 'T_DPM_ITEMPRICELIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DPM_IPRICELIST_EIDATE') CREATE INDEX IDX_DPM_IPRICELIST_EIDATE ON T_DPM_ITEMPRICELIST ( FEFFECTDATE ,FINVALIDDATE ,FENABLE );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DPM_constraint.sql **/
