﻿/** 零售价格类型表预置数据 */
DELETE FROM T_DPM_RETAILPRICETYPE WHERE FID = 4;
INSERT INTO T_DPM_RETAILPRICETYPE(FID,FCREATORID,FDISABLERID,FDISABLETIME,FMODIFYTIME,FALLOWADJUSTNUM,FAPPROVETIME,FPRICEFIELD,FLEVEL,FCREATETIME,FNUMBER,FSTATUS,FISCONTROLPRICE,FISALLOWADJUST,FMODIFIERID,FCOMMENT,FAPPROVERID,FENABLE,FUSETERMINAL,FISSYSPRESET,FSHORTNUMBER,FMASTERID) 
VALUES 
(4,0,0,NULL,NULL,2,NULL,'D',4,NULL,'PR-004','C','0','1',0,'默认的零售价，取商品条形码表中对应的计量单位、会员价',0,'1',' ','1','HYJ',4); 
DELETE FROM T_DPM_RETAILPRICETYPE WHERE FID = 5;
INSERT INTO T_DPM_RETAILPRICETYPE(FID,FCREATORID,FDISABLERID,FDISABLETIME,FMODIFYTIME,FALLOWADJUSTNUM,FAPPROVETIME,FPRICEFIELD,FLEVEL,FCREATETIME,FNUMBER,FSTATUS,FISCONTROLPRICE,FISALLOWADJUST,FMODIFIERID,FCOMMENT,FAPPROVERID,FENABLE,FUSETERMINAL,FISSYSPRESET,FSHORTNUMBER,FMASTERID) VALUES 
(5,0,0,NULL,NULL,2,NULL,'E',5,NULL,'PR-005','C','0','1',0,'对于特殊商品，需要定义单独的价格，可以使用特价这个价格类型。',0,'1',' ','1','ZGJ',5); 
DELETE FROM T_DPM_RETAILPRICETYPE WHERE FID = 1;
INSERT INTO T_DPM_RETAILPRICETYPE(FID,FCREATORID,FDISABLERID,FDISABLETIME,FMODIFYTIME,FALLOWADJUSTNUM,FAPPROVETIME,FPRICEFIELD,FLEVEL,FCREATETIME,FNUMBER,FSTATUS,FISCONTROLPRICE,FISALLOWADJUST,FMODIFIERID,FCOMMENT,FAPPROVERID,FENABLE,FUSETERMINAL,FISSYSPRESET,FSHORTNUMBER,FMASTERID) VALUES 
(1,0,0,NULL,NULL,2,NULL,'A',3,NULL,'PR-001','C','0','1',0,'默认的零售价，取商品条形码表中对应的计量单位、零售价',0,'1',' ','1','BZLSJ',1); 
DELETE FROM T_DPM_RETAILPRICETYPE WHERE FID = 2;
INSERT INTO T_DPM_RETAILPRICETYPE(FID,FCREATORID,FDISABLERID,FDISABLETIME,FMODIFYTIME,FALLOWADJUSTNUM,FAPPROVETIME,FPRICEFIELD,FLEVEL,FCREATETIME,FNUMBER,FSTATUS,FISCONTROLPRICE,FISALLOWADJUST,FMODIFIERID,FCOMMENT,FAPPROVERID,FENABLE,FUSETERMINAL,FISSYSPRESET,FSHORTNUMBER,FMASTERID) VALUES 
(2,0,0,NULL,NULL,2,NULL,'C',2,NULL,'PR-002','C','1','1',0,'主要用户零售企业对商品进行全局唯一性控制，设置唯一价，门店部允许修改',0,'1',' ','1','WYJ',2); 
DELETE FROM T_DPM_RETAILPRICETYPE WHERE FID = 3;
INSERT INTO T_DPM_RETAILPRICETYPE(FID,FCREATORID,FDISABLERID,FDISABLETIME,FMODIFYTIME,FALLOWADJUSTNUM,FAPPROVETIME,FPRICEFIELD,FLEVEL,FCREATETIME,FNUMBER,FSTATUS,FISCONTROLPRICE,FISALLOWADJUST,FMODIFIERID,FCOMMENT,FAPPROVERID,FENABLE,FUSETERMINAL,FISSYSPRESET,FSHORTNUMBER,FMASTERID) VALUES 
(3,0,0,NULL,NULL,2,NULL,'B',1,NULL,'PR-003','C','1','1',0,'主要用户厂家对商品的销售价格进行控制，零售开单时，若是厂家控制，则不允许修改。',0,'1',' ','1','CJKJ',3); 

/** 零售价格类型多语言表预置数据 */
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W39DCAFUHU1';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (4,'0W39DCAFUHU1','zh_CN','会员价'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W39DCAFUHU2';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (4,'0W39DCAFUHU2','zh_TW','會員價'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W39GI/LRDXN';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (5,'0W39GI/LRDXN','zh_CN','特价'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W39GI/LRDXO';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (5,'0W39GI/LRDXO','zh_TW','特價'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W392Y/3HN1M';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1,'0W392Y/3HN1M','zh_CN','标准零售价'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W392Y/3HN1N';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (1,'0W392Y/3HN1N','zh_TW','標準零售價'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W396=KLD3CZ';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (2,'0W396=KLD3CZ','zh_CN','唯一价'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W396=KLD3D+';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (2,'0W396=KLD3D+','zh_TW','唯一價'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W399R/=/6F4';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (3,'0W399R/=/6F4','zh_CN','厂家控价'); 
DELETE FROM T_DPM_RETAILPRICETYPE_L WHERE FPKID = '0W399R/=/6F5';
INSERT INTO T_DPM_RETAILPRICETYPE_L(FID,FPKID,FLOCALEID,FNAME) VALUES (3,'0W399R/=/6F5','zh_TW','廠家控價'); 