IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_ITEMPRICE_BRANCH') 
 CREATE TABLE T_DPM_ITEMPRICE_BRANCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FISDISTRIBUTED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_ITEMPRICE_BRANGE') 
 CREATE TABLE T_DPM_ITEMPRICE_BRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_ITEMPRICE_DETAIL') 
 CREATE TABLE T_DPM_ITEMPRICE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FPRICEUNITID BIGINT DEFAULT 0 NOT NULL,
FPRICENUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FEFFECTDATE DATETIME,
FINVALIDDATE DATETIME,
FISINVALID CHAR(1) DEFAULT '0' NOT NULL,
FDISABLOPERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEOPDATE DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_ITEMPRICE_DETAIL_R') 
 CREATE TABLE T_DPM_ITEMPRICE_DETAIL_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRPADJUSTNUM INT DEFAULT 0 NOT NULL,
FUNIQUEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUPADJUSTNUM INT DEFAULT 0 NOT NULL,
FFACTORYPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPADJUSTNUM INT DEFAULT 0 NOT NULL,
FMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMPADJUSTNUM INT DEFAULT 0 NOT NULL,
FSPECIALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPADJUSTNUM INT DEFAULT 0 NOT NULL,
FHIGHPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHPADJUSTNUM INT DEFAULT 0 NOT NULL,
FLOWPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLPADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP1ADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP2ADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP3ADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP4ADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP5ADJUSTNUM INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_ITEMPRICE_ORGRANGE') 
 CREATE TABLE T_DPM_ITEMPRICE_ORGRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_ITEMPRICE_RECORD') 
 CREATE TABLE T_DPM_ITEMPRICE_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPRICEUNITID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FADJUSTPRICETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBEFOREPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODERATORID BIGINT DEFAULT 0 NOT NULL,
FADJUSTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_ITEMPRICELIST_Y') 
 CREATE TABLE T_DPM_ITEMPRICELIST_Y (
FID BIGINT DEFAULT 0 NOT NULL,
FISUSERETAILPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSEFACTORYPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSEUNIQUEPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSEMEMBERPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSESPECIALPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE1 CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE2 CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE3 CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE4 CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE5 CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_RETAILPRICETYPE') 
 CREATE TABLE T_DPM_RETAILPRICETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSHORTNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FISCONTROLPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISALLOWADJUST CHAR(1) DEFAULT '0' NOT NULL,
FALLOWADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICEFIELD CHAR(1) DEFAULT ' ' NOT NULL,
FUSETERMINAL CHAR(1) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVETIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_RETAILPRICETYPE_L') 
 CREATE TABLE T_DPM_RETAILPRICETYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DPM_ITEMPRICELIST') 
 CREATE TABLE T_DPM_ITEMPRICELIST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FUSETERMINAL CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT 'A' NOT NULL,
FEFFECTDATE DATETIME,
FINVALIDDATE DATETIME,
FISTAX CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FISDISTRIBUTED CHAR(1) DEFAULT '0' NOT NULL,
FISCANDISTRIBUTE CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FISUNAUDIT CHAR(1) DEFAULT '0' NOT NULL,
FFIRSTAUDITDATE DATETIME
);